package com.bonus.canteen.core.notice.print.v2.business.impl;

import cn.hutool.core.collection.CollUtil;
import com.bonus.canteen.core.common.custom.business.CustomBusiness;
import com.bonus.canteen.core.notice.print.v2.model.NoticePrintTemplate;
import com.bonus.canteen.core.notice.print.v2.po.OrderPrintDelayPO;
import com.bonus.canteen.core.notice.print.v2.vo.NoticePrintTemplateSettingVO;
import com.bonus.canteen.core.order.api.vo.NoticePrintInfoVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class NoticePrintBurialPointBusiness implements CustomBusiness {
   public String name() {
      return "打印";
   }

   public List<CustomBusiness.Version> versions() {
      return CollUtil.newArrayList(new CustomBusiness.Version[]{CustomBusiness.Version.of("3.11.3", "初版"), CustomBusiness.Version.of("3.21.1", "新增自动打印前埋点"), CustomBusiness.Version.of("5.6.9", "新增打印机定制打印埋点")});
   }

   public void didOrderDelayPrint(OrderPrintDelayPO delayPO) {
   }

   public void didOrderManualPrint(OrderPrintDelayPO delayPO, Map<String, String> paramMap) {
   }

   public Map<String, String> didGetOrderParamMap(NoticePrintInfoVO orderInfo, String printType, NoticePrintTemplate noticePrintTemplate, Map<String, String> paramMap) {
      return paramMap;
   }

   public String didBeforeAutoOrderPrint(NoticePrintInfoVO orderInfo, Long ordRefundId) {
      return null;
   }

   public boolean checkSpecialPrintColumn(NoticePrintTemplateSettingVO setting) {
      return false;
   }

   public void didFeieSpecialPrintColumn(NoticePrintTemplateSettingVO setting, String paramValue, StringBuilder sb) {
   }

   public void didFeieLabelSpecialPrintColumn(NoticePrintTemplateSettingVO setting, String paramValue, StringBuilder sb) {
   }

//   public void didJiaboSpecialPrintColumn(NoticePrintTemplateSettingVO setting, Map<String, String> paramMap, EscCommand esc) {
//   }
//
//   public void didJiaboLabelSpecialPrintColumn(NoticePrintTemplateSettingVO setting, String paramValue, LabelCommand tsc) {
//   }
}
